org.apache.poi.hssf.record

## Class CFHeaderBase

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.CFHeaderBase

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    CFHeader12Record, CFHeaderRecord

      public abstract class CFHeaderBase
      extends StandardRecord

  Parent of Conditional Formatting Header records, `CFHeaderRecord` and `CFHeader12Record`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CFHeaderBase()`
    `protected` | `CFHeaderBase(CellRangeAddress[] regions, int nRules)`
    `protected` | `CFHeaderBase(CFHeaderBase other)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CFHeaderBase` | `clone()` Deprecated.
    `abstract CFHeaderBase` | `copy()`
    `protected void` | `createEmpty()`
    `CellRangeAddress[]` | `getCellRanges()`
    `protected int` | `getDataSize()`
    `CellRangeAddress` | `getEnclosingCellRange()`
    `int` | `getID()`
    `boolean` | `getNeedRecalculation()`
    `int` | `getNumberOfConditionalFormats()`
    `protected abstract java.lang.String` | `getRecordName()`
    `protected void` | `read(RecordInputStream in)`
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCellRanges(CellRangeAddress[] cellRanges)` Set cell ranges list to a single cell range and modify the enclosing cell range accordingly.
    `void` | `setEnclosingCellRange(CellRangeAddress cr)`
    `void` | `setID(int id)`
    `void` | `setNeedRecalculation(boolean b)`
    `void` | `setNumberOfConditionalFormats(int n)`
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, getSid, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFHeaderBase

          protected CFHeaderBase()

    - #### CFHeaderBase

          protected CFHeaderBase(CFHeaderBase other)

    - #### CFHeaderBase

          protected CFHeaderBase(CellRangeAddress[] regions,
                                 int nRules)

  - ### Method Detail

    - #### createEmpty

          protected void createEmpty()

    - #### read

          protected void read(RecordInputStream in)

    - #### getNumberOfConditionalFormats

          public int getNumberOfConditionalFormats()

    - #### setNumberOfConditionalFormats

          public void setNumberOfConditionalFormats(int n)

    - #### getNeedRecalculation

          public boolean getNeedRecalculation()

    - #### setNeedRecalculation

          public void setNeedRecalculation(boolean b)

    - #### getID

          public int getID()

    - #### setID

          public void setID(int id)

    - #### getEnclosingCellRange

          public CellRangeAddress getEnclosingCellRange()

    - #### setEnclosingCellRange

          public void setEnclosingCellRange(CellRangeAddress cr)

    - #### setCellRanges

          public void setCellRanges(CellRangeAddress[] cellRanges)

      Set cell ranges list to a single cell range and modify the enclosing cell range accordingly.
      Parameters:
        `cellRanges` - - list of CellRange objects

    - #### getCellRanges

          public CellRangeAddress[] getCellRanges()

    - #### getRecordName

          protected abstract java.lang.String getRecordName()

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public abstract CFHeaderBase clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public abstract CFHeaderBase copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.